/** Used with the `Game.GetStateFlag` and `Game.SetStateFlag` methods. */
export var GameStateFlag;
(function (GameStateFlag) {
    GameStateFlag[GameStateFlag["FAMINE_SPAWNED"] = 0] = "FAMINE_SPAWNED";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["PESTILENCE_SPAWNED"] = 1] = "PESTILENCE_SPAWNED";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["WAR_SPAWNED"] = 2] = "WAR_SPAWNED";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["DEATH_SPAWNED"] = 3] = "DEATH_SPAWNED";
    GameStateFlag[GameStateFlag["BOSS_POOL_SWITCHED"] = 4] = "BOSS_POOL_SWITCHED";
    GameStateFlag[GameStateFlag["DEVIL_ROOM_SPAWNED"] = 5] = "DEVIL_ROOM_SPAWNED";
    GameStateFlag[GameStateFlag["DEVIL_ROOM_VISITED"] = 6] = "DEVIL_ROOM_VISITED";
    GameStateFlag[GameStateFlag["BOOK_REVELATIONS_USED"] = 7] = "BOOK_REVELATIONS_USED";
    GameStateFlag[GameStateFlag["BOOK_PICKED_UP"] = 8] = "BOOK_PICKED_UP";
    GameStateFlag[GameStateFlag["WRATH_SPAWNED"] = 9] = "WRATH_SPAWNED";
    GameStateFlag[GameStateFlag["GLUTTONY_SPAWNED"] = 10] = "GLUTTONY_SPAWNED";
    GameStateFlag[GameStateFlag["LUST_SPAWNED"] = 11] = "LUST_SPAWNED";
    GameStateFlag[GameStateFlag["SLOTH_SPAWNED"] = 12] = "SLOTH_SPAWNED";
    GameStateFlag[GameStateFlag["ENVY_SPAWNED"] = 13] = "ENVY_SPAWNED";
    GameStateFlag[GameStateFlag["PRIDE_SPAWNED"] = 14] = "PRIDE_SPAWNED";
    GameStateFlag[GameStateFlag["GREED_SPAWNED"] = 15] = "GREED_SPAWNED";
    GameStateFlag[GameStateFlag["SUPER_GREED_SPAWNED"] = 16] = "SUPER_GREED_SPAWNED";
    GameStateFlag[GameStateFlag["DONATION_SLOT_BROKEN"] = 17] = "DONATION_SLOT_BROKEN";
    GameStateFlag[GameStateFlag["DONATION_SLOT_JAMMED"] = 18] = "DONATION_SLOT_JAMMED";
    GameStateFlag[GameStateFlag["HEAVEN_PATH"] = 19] = "HEAVEN_PATH";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["REBIRTH_BOSS_SWITCHED"] = 20] = "REBIRTH_BOSS_SWITCHED";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["HAUNT_SELECTED"] = 21] = "HAUNT_SELECTED";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["ADVERSARY_SELECTED"] = 22] = "ADVERSARY_SELECTED";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["MR_FRED_SELECTED"] = 23] = "MR_FRED_SELECTED";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["MAMA_GURDY_SELECTED"] = 24] = "MAMA_GURDY_SELECTED";
    GameStateFlag[GameStateFlag["URIEL_SPAWNED"] = 25] = "URIEL_SPAWNED";
    GameStateFlag[GameStateFlag["GABRIEL_SPAWNED"] = 26] = "GABRIEL_SPAWNED";
    GameStateFlag[GameStateFlag["FALLEN_SPAWNED"] = 27] = "FALLEN_SPAWNED";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["HEADLESS_HORSEMAN_SPAWNED"] = 28] = "HEADLESS_HORSEMAN_SPAWNED";
    GameStateFlag[GameStateFlag["KRAMPUS_SPAWNED"] = 29] = "KRAMPUS_SPAWNED";
    GameStateFlag[GameStateFlag["DONATION_SLOT_BLOWN"] = 30] = "DONATION_SLOT_BLOWN";
    GameStateFlag[GameStateFlag["SHOPKEEPER_KILLED"] = 31] = "SHOPKEEPER_KILLED";
    GameStateFlag[GameStateFlag["ULTRA_PRIDE_SPAWNED"] = 32] = "ULTRA_PRIDE_SPAWNED";
    GameStateFlag[GameStateFlag["BOSS_RUSH_DONE"] = 33] = "BOSS_RUSH_DONE";
    GameStateFlag[GameStateFlag["GREED_SLOT_JAMMED"] = 34] = "GREED_SLOT_JAMMED";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["AFTERBIRTH_BOSS_SWITCHED"] = 35] = "AFTERBIRTH_BOSS_SWITCHED";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["BROWNIE_SELECTED"] = 36] = "BROWNIE_SELECTED";
    GameStateFlag[GameStateFlag["SUPER_BUM_APPEARED"] = 37] = "SUPER_BUM_APPEARED";
    GameStateFlag[GameStateFlag["BOSS_RUSH_DOOR_SPAWNED"] = 38] = "BOSS_RUSH_DOOR_SPAWNED";
    GameStateFlag[GameStateFlag["BLUE_WOMB_DOOR_SPAWNED"] = 39] = "BLUE_WOMB_DOOR_SPAWNED";
    GameStateFlag[GameStateFlag["BLUE_WOMB_DONE"] = 40] = "BLUE_WOMB_DONE";
    GameStateFlag[GameStateFlag["HEART_BOMB_COIN_PICKED"] = 41] = "HEART_BOMB_COIN_PICKED";
    /** @deprecated This only works in Afterbirth+, not Repentance. */
    GameStateFlag[GameStateFlag["AFTERBIRTH_PLUS_BOSS_SWITCHED"] = 42] = "AFTERBIRTH_PLUS_BOSS_SWITCHED";
    /** Set when reaching 99 coins. Used to check for the Golden Razor achievement. */
    GameStateFlag[GameStateFlag["MAX_COINS_OBTAINED"] = 43] = "MAX_COINS_OBTAINED";
    /** Set when entering a trapdoor that leads to the alternate path. */
    GameStateFlag[GameStateFlag["SECRET_PATH"] = 44] = "SECRET_PATH";
    /** Set when Perfection has dropped from a boss. */
    GameStateFlag[GameStateFlag["PERFECTION_SPAWNED"] = 45] = "PERFECTION_SPAWNED";
    /** Set when Mom's Heart has been killed in the Mausoleum. */
    GameStateFlag[GameStateFlag["MAUSOLEUM_HEART_KILLED"] = 46] = "MAUSOLEUM_HEART_KILLED";
    /**
     * Set when entering Mausoleum/Gehenna II through the photo door. Causes Dad's Note to spawn
     * instead of the Mom boss room. The "backwards path" refers to the Ascent.
     */
    GameStateFlag[GameStateFlag["BACKWARDS_PATH_INIT"] = 47] = "BACKWARDS_PATH_INIT";
    /** Set when the player takes Dad's Note. The "backwards path" refers to the Ascent. */
    GameStateFlag[GameStateFlag["BACKWARDS_PATH"] = 48] = "BACKWARDS_PATH";
})(GameStateFlag || (GameStateFlag = {}));
