import type { CollectibleType } from "../../enums/collections/subTypes";

declare global {
  /**
   * These are the valid collectible types that can be used with the
   * `TemporaryEffects.AddCollectibleEffect` method. Using a collectible type other than these will
   * not result in anything happening.
   */
  type TemporaryCollectibleType =
    | CollectibleType.SAD_ONION // 1
    | CollectibleType.INNER_EYE // 2
    | CollectibleType.SPOON_BENDER // 3
    | CollectibleType.MY_REFLECTION // 5
    | CollectibleType.NUMBER_ONE // 6
    | CollectibleType.BROTHER_BOBBY // 8
    | CollectibleType.MAGIC_MUSHROOM // 12
    | CollectibleType.VIRUS // 13
    | CollectibleType.ROID_RAGE // 14
    | CollectibleType.TRANSCENDENCE // 20
    | CollectibleType.MOMS_UNDERWEAR // 29
    | CollectibleType.MOMS_HEELS // 30
    | CollectibleType.MOMS_LIPSTICK // 31
    | CollectibleType.MOMS_EYE // 55
    | CollectibleType.DISTANT_ADMIRATION // 57
    | CollectibleType.SISTER_MAGGY // 67
    | CollectibleType.GROWTH_HORMONES // 70
    | CollectibleType.MINI_MUSH // 71
    | CollectibleType.CUBE_OF_MEAT // 73
    | CollectibleType.LITTLE_CHUBBY // 88
    | CollectibleType.SACK_OF_PENNIES // 94
    | CollectibleType.ROBO_BABY // 95
    | CollectibleType.LITTLE_CHAD // 96
    | CollectibleType.RELIC // 98
    | CollectibleType.LITTLE_GISH // 99
    | CollectibleType.LITTLE_STEVEN // 100
    | CollectibleType.WAFER // 108
    | CollectibleType.MOMS_CONTACTS // 110
    | CollectibleType.GUARDIAN_ANGEL // 112
    | CollectibleType.DEMON_BABY // 113
    | CollectibleType.MOMS_KNIFE // 114
    | CollectibleType.OUIJA_BOARD // 115
    | CollectibleType.DEAD_BIRD // 117
    | CollectibleType.BRIMSTONE // 118
    | CollectibleType.ODD_MUSHROOM_THIN // 120
    | CollectibleType.ODD_MUSHROOM_LARGE // 121
    | CollectibleType.WHORE_OF_BABYLON // 122
    | CollectibleType.FOREVER_ALONE // 128
    | CollectibleType.BOMB_BAG // 131
    | CollectibleType.SPEED_BALL // 143
    | CollectibleType.BUM_FRIEND // 144
    | CollectibleType.TOUGH_LOVE // 150
    | CollectibleType.PEEPER // 155
    | CollectibleType.GHOST_BABY // 163
    | CollectibleType.HARLEQUIN_BABY // 167
    | CollectibleType.DADDY_LONGLEGS // 170
    | CollectibleType.SACRIFICIAL_DAGGER // 172
    | CollectibleType.RAINBOW_BABY // 174
    | CollectibleType.HOLY_WATER // 178
    | CollectibleType.GUPPYS_HAIRBALL // 187
    | CollectibleType.ABEL // 188
    | CollectibleType.MOMS_KEY // 199
    | CollectibleType.MOMS_EYESHADOW // 200
    | CollectibleType.IRON_BAR // 201
    | CollectibleType.GUILLOTINE // 206
    | CollectibleType.BALL_OF_BANDAGES // 207
    | CollectibleType.ANEMIC // 214
    | CollectibleType.MOMS_WIG // 217
    | CollectibleType.MOMS_PERFUME // 228
    | CollectibleType.DEATHS_TOUCH // 237
    | CollectibleType.EXPERIMENTAL_TREATMENT // 240
    | CollectibleType.TWENTY_TWENTY // 245
    | CollectibleType.HIVE_MIND // 248
    | CollectibleType.FIRE_MIND // 257
    | CollectibleType.DARK_MATTER // 259
    | CollectibleType.PROPTOSIS // 261
    | CollectibleType.SMART_FLY // 264
    | CollectibleType.DRY_BABY // 265
    | CollectibleType.JUICY_SACK // 266
    | CollectibleType.ROBO_BABY_2 // 267
    | CollectibleType.ROTTEN_BABY // 268
    | CollectibleType.HEADLESS_BABY // 269
    | CollectibleType.LEECH // 270
    | CollectibleType.MYSTERY_SACK // 271
    | CollectibleType.BBF // 272
    | CollectibleType.BOBS_BRAIN // 273
    | CollectibleType.BEST_BUD // 274
    | CollectibleType.LIL_BRIMSTONE // 275
    | CollectibleType.LIL_HAUNT // 277
    | CollectibleType.DARK_BUM // 278
    | CollectibleType.BIG_FAN // 279
    | CollectibleType.SISSY_LONGLEGS // 280
    | CollectibleType.PUNCHING_BAG // 281
    | CollectibleType.LEO // 302
    | CollectibleType.HOLY_MANTLE // 313
    | CollectibleType.MYSTERIOUS_LIQUID // 317
    | CollectibleType.GEMINI // 318
    | CollectibleType.CAINS_OTHER_EYE // 319
    | CollectibleType.BLUE_BABYS_ONLY_FRIEND // 320
    | CollectibleType.SAMSONS_CHAINS // 321
    | CollectibleType.MONGO_BABY // 322
    | CollectibleType.BLUE_CAP // 342
    | CollectibleType.SYNTHOIL // 345
    | CollectibleType.MOMS_PEARLS // 355
    | CollectibleType.WIZ // 358
    | CollectibleType.INCUBUS // 360
    | CollectibleType.FATES_REWARD // 361
    | CollectibleType.LIL_CHEST // 362
    | CollectibleType.SWORN_PROTECTOR // 363
    | CollectibleType.FRIEND_ZONE // 364
    | CollectibleType.LOST_FLY // 365
    | CollectibleType.CHARGED_BABY // 372
    | CollectibleType.HOLY_LIGHT // 374
    | CollectibleType.LIL_GURDY // 384
    | CollectibleType.BUMBO // 385
    | CollectibleType.CENSER // 387
    | CollectibleType.KEY_BUM // 388
    | CollectibleType.RUNE_BAG // 389
    | CollectibleType.SERAPHIM // 390
    | CollectibleType.TRACTOR_BEAM // 397
    | CollectibleType.GODS_FLESH // 398
    | CollectibleType.SPIDER_MOD // 403
    | CollectibleType.FARTING_BABY // 404
    | CollectibleType.EMPTY_VESSEL // 409
    | CollectibleType.LUSTY_BLOOD // 411
    | CollectibleType.CROWN_OF_LIGHT // 415
    | CollectibleType.SUCCUBUS // 417
    | CollectibleType.FRUIT_CAKE // 418
    | CollectibleType.OBSESSED_FAN // 426
    | CollectibleType.HEAD_OF_THE_KEEPER // 429
    | CollectibleType.PAPA_FLY // 430
    | CollectibleType.MULTIDIMENSIONAL_BABY // 431
    | CollectibleType.LIL_LOKI // 435
    | CollectibleType.MILK // 436
    | CollectibleType.DARK_PRINCES_CROWN // 442
    | CollectibleType.FINGER // 467
    | CollectibleType.SHADE // 468
    | CollectibleType.DEPRESSION // 469
    | CollectibleType.HUSHY // 470
    | CollectibleType.LIL_MONSTRO // 471
    | CollectibleType.KING_BABY // 472
    | CollectibleType.BIG_CHUBBY // 473
    | CollectibleType.ACID_BABY // 491
    | CollectibleType.YO_LISTEN // 492
    | CollectibleType.ADRENALINE // 493
    | CollectibleType.EUTHANASIA // 496
    | CollectibleType.CAMO_UNDIES // 497
    | CollectibleType.SACK_OF_SACKS // 500
    | CollectibleType.MOMS_RAZOR // 508
    | CollectibleType.BLOODSHOT_EYE // 509
    | CollectibleType.ANGRY_FLY // 511
    | CollectibleType.BUDDY_IN_A_BOX // 518
    | CollectibleType.LIL_DELIRIUM // 519
    | CollectibleType.SEVEN_SEALS // 526
    | CollectibleType.ANGELIC_PRISM // 528
    | CollectibleType.LIL_SPEWER // 537
    | CollectibleType.MYSTERY_EGG // 539
    | CollectibleType.SLIPPED_RIB // 542
    | CollectibleType.HALLOWED_GROUND // 543
    | CollectibleType.POINTY_RIB // 544
    | CollectibleType.JAW_BONE // 548
    | CollectibleType.BLOOD_PUPPY // 565
    | CollectibleType.PASCHAL_CANDLE // 567
    | CollectibleType.EYE_OF_THE_OCCULT // 572
    | CollectibleType.INTRUDER // 575
    | CollectibleType.PSY_FLY // 581
    | CollectibleType.MARS // 593
    | CollectibleType.URANUS // 596
    | CollectibleType.BOILED_BABY // 607
    | CollectibleType.FREEZER_BABY // 608
    | CollectibleType.BIRD_CAGE // 610
    | CollectibleType.LIL_DUMPY // 615
    | CollectibleType.BOT_FLY // 629
    | CollectibleType.TINYTOMA // 645
    | CollectibleType.FRUITY_PLUM // 649
    | CollectibleType.CUBE_BABY // 652
    | CollectibleType.ASTRAL_PROJECTION // 677
    | CollectibleType.LIL_ABADDON // 679
    | CollectibleType.LIL_PORTAL // 681
    | CollectibleType.WORM_FRIEND // 682
    | CollectibleType.INNER_CHILD // 688
    | CollectibleType.TWISTED_PAIR // 698
    | CollectibleType.MOMS_RING; // 732
}
